Bug 1178657 - [abrt] snappy-player: __pthread_mutex_lock(): snappy killed by SIGSEGV
Summary: [abrt] snappy-player: __pthread_mutex_lock(): snappy killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: snappy-player
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cf06cfcd01204a2391ce8d70954...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-05 09:23 UTC by Oleg
Modified: 2015-07-29 01:53 UTC (History)
2 users (show)

Fixed In Version: snappy-player-1.0-5.20150622git8f239a.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-25 18:37:39 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (26.11 KB, text/plain)
2015-01-05 09:23 UTC, Oleg
no flags Details
File: cgroup (190 bytes, text/plain)
2015-01-05 09:23 UTC, Oleg
no flags Details
File: core_backtrace (10.43 KB, text/plain)
2015-01-05 09:23 UTC, Oleg
no flags Details
File: dso_list (11.02 KB, text/plain)
2015-01-05 09:24 UTC, Oleg
no flags Details
File: environ (1.53 KB, text/plain)
2015-01-05 09:24 UTC, Oleg
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-05 09:24 UTC, Oleg
no flags Details
File: maps (49.35 KB, text/plain)
2015-01-05 09:24 UTC, Oleg
no flags Details
File: open_fds (726 bytes, text/plain)
2015-01-05 09:24 UTC, Oleg
no flags Details
File: proc_pid_status (960 bytes, text/plain)
2015-01-05 09:24 UTC, Oleg
no flags Details
File: var_log_messages (575 bytes, text/plain)
2015-01-05 09:24 UTC, Oleg
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2015-01-05 09:24 UTC, Oleg
no flags Details

Description Oleg 2015-01-05 09:23:53 UTC
Version-Release number of selected component:
snappy-player-1.0-3.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        snappy
crash_function: __pthread_mutex_lock
executable:     /usr/bin/snappy
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __pthread_mutex_lock at ../nptl/pthread_mutex_lock.c:67
 #1 XrmQGetResource at Xrm.c:2549
 #2 XGetDefault at GetDflt.c:231
 #3 _XcursorGetDisplayInfo at display.c:151
 #4 XcursorGetTheme at display.c:361
 #5 gdk_x11_display_set_cursor_theme at gdkcursor-x11.c:473
 #6 settings_update_cursor_theme at gtksettings.c:2869
 #7 gtk_settings_get_for_screen at gtksettings.c:1852
 #8 gtk_style_context_init at gtkstylecontext.c:498
 #9 g_type_create_instance at gtype.c:1865

Comment 1 Oleg 2015-01-05 09:23:56 UTC
Created attachment 976258 [details]
File: backtrace

Comment 2 Oleg 2015-01-05 09:23:57 UTC
Created attachment 976259 [details]
File: cgroup

Comment 3 Oleg 2015-01-05 09:23:59 UTC
Created attachment 976260 [details]
File: core_backtrace

Comment 4 Oleg 2015-01-05 09:24:00 UTC
Created attachment 976261 [details]
File: dso_list

Comment 5 Oleg 2015-01-05 09:24:01 UTC
Created attachment 976262 [details]
File: environ

Comment 6 Oleg 2015-01-05 09:24:03 UTC
Created attachment 976263 [details]
File: limits

Comment 7 Oleg 2015-01-05 09:24:05 UTC
Created attachment 976264 [details]
File: maps

Comment 8 Oleg 2015-01-05 09:24:06 UTC
Created attachment 976265 [details]
File: open_fds

Comment 9 Oleg 2015-01-05 09:24:07 UTC
Created attachment 976266 [details]
File: proc_pid_status

Comment 10 Oleg 2015-01-05 09:24:08 UTC
Created attachment 976267 [details]
File: var_log_messages

Comment 11 Oleg 2015-01-05 09:24:09 UTC
Created attachment 976268 [details]
File: exploitable

Comment 12 Fedora Update System 2015-07-12 20:19:10 UTC
snappy-player-1.0-5.20150622git8f239a.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/snappy-player-1.0-5.20150622git8f239a.fc21

Comment 13 Fedora Update System 2015-07-12 20:19:18 UTC
snappy-player-1.0-5.20150622git8f239a.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/snappy-player-1.0-5.20150622git8f239a.fc22

Comment 14 Fedora Update System 2015-07-14 15:42:16 UTC
Package snappy-player-1.0-5.20150622git8f239a.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing snappy-player-1.0-5.20150622git8f239a.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11569/snappy-player-1.0-5.20150622git8f239a.fc22
then log in and leave karma (feedback).

Comment 15 Antonio T. (sagitter) 2015-07-25 18:37:39 UTC

*** This bug has been marked as a duplicate of bug 1242179 ***

Comment 16 Fedora Update System 2015-07-29 01:40:18 UTC
snappy-player-1.0-5.20150622git8f239a.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-07-29 01:53:00 UTC
snappy-player-1.0-5.20150622git8f239a.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.